### Property

# Ide TreeNode:display-name

#### Declaration

    property display-name: utf8 [ read, write ]

#### Description

The “display-name” property is the name for the node as it should be displayed in the tree.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_tree_node_set_display_name()`
Getter method | `ide_tree_node_get_display_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no